Opened 10 years ago

Last modified 7 years ago

#1009 closed defect (Not a bug)

consensus parsing warnings

Reported by: Sebastian Owned by:
Priority: Low Milestone:
Component: Core Tor/Tor Version: 0.2.1.15-rc
Severity: Keywords:
Cc: Sebastian, arma, nickm, jn, karsten Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

In Fluxe3's logfile, these warnings were repeated over
and over again. When I restarted it without clearing out
the data directory, the warnings disappeared

Jun 19 06:29:24.838 [warn] Error decoding identity digest "s"
Jun 19 06:29:24.854 [warn] Got a bad signature on a networkstatus vote
Jun 19 06:29:24.854 [warn] Got a bad signature on a networkstatus vote
Jun 19 06:29:24.854 [warn] Got a bad signature on a networkstatus vote
Jun 19 06:29:24.855 [warn] Got a bad signature on a networkstatus vote
Jun 19 06:29:24.855 [warn] Got a bad signature on a networkstatus vote
Jun 19 06:29:24.855 [warn] 0 unknown, 0 missing key, 0 good, 5 bad, 0 no signature, 4 required
Jun 19 06:29:24.855 [warn] Not enough good signatures on networkstatus consensus
Jun 19 06:29:24.857 [warn] Unable to load consensus directory downloaded from server '128.31.0.34:9031'. I'll try again soon.
Jun 19 08:19:12.988 [warn] ISO time "Es09-06-19 03:42:06" was unparseable
Jun 19 08:19:12.989 [warn] Error parsing time 'Es09-06-19 03:42:06'

[Automatically added by flyspray2trac: Operating System: All]

Child Tickets

Change History (29)

comment:1 Changed 10 years ago by nickm

Hm. If this ever happens again, make a copy of your datadir before you restart. I think your Tor may have eaten the
evidence. :/

comment:2 Changed 10 years ago by nickm

Also, were all of the warnings exactly like this, or were they complaining about different stuff? Could you
paste one or two more such warning blocks?

comment:3 Changed 10 years ago by nickm

Ah. My question has been answered elsewhere. It looks like other stuff can get corrupted:

Jun 19 22:24:05.684 [warn] Unable to load consensus directory downloaded from server '80.190.246.100:80'. I'll try again soon.
Jun 20 00:19:59.251 [warn] Error parsing router address in network-status "13)98.4.11"
...

Jun 20 00:26:06.923 [warn] Unable to load consensus directory downloaded from server '128.31.0.34:9031'. I'll try again soon.
Jun 20 01:05:44.633 [warn] Error parsing router address in network-status "156ix7.237.36"
Jun 20 01:05:44.650 [warn] Got a bad signature on a networkstatus vote
...
Jun 20 01:56:34.897 [warn] Unable to load consensus directory downloaded from server '128.31.0.34:9031'. I'll try again soon.
Jun 20 01:57:35.481 [warn] Error parsing router address in network-status "156Rs7.237.36"
Jun 20 01:57:35.497 [warn] Got a bad signature on a networkstatus vote
...
Jun 18 12:17:20.202 [warn] parse error: Too few arguments to r
...
Jun 18 15:30:28.725 [warn] Parse error: missing s element.
...
Jun 18 21:24:25.021 [warn] Fingerprint '8E7E54C1BDFA8CCC7F9889DAD084F69187861E84' does not match identity digest.
Jun 18 21:24:25.674 [warn] crypto error while reading public key from string: bad base64 decode (in PEM routines:PEM_read_bio)
Jun 18 21:24:25.674 [warn] parse error: Couldn't parse public key.
Jun 18 21:24:25.674 [warn] Error tokenizing router descriptor.
Jun 18 22:22:20.725 [warn] Parse error: too many p elements.
Jun 18 22:22:20.725 [warn] Error tokenizing router status

This is looking like some kind of fairly random data corruption occuring at different places in the consensus.

comment:4 Changed 10 years ago by Athaba

Hi, I'm having the same problem. Here are the warnings since the first occurence.
Yes, they started after opening a new ile - the are no such messages in older files!
I also made a backup of the data dir.

Aug 23 01:20:17.619 [notice] Tor 0.2.1.19 opening new log file.
Aug 23 05:45:11.414 [warn] Error decoding identity digest "tlInrOsoYoDr"
Aug 23 05:45:11.507 [warn] Got a bad signature on a networkstatus vote
Aug 23 05:45:11.507 [warn] Got a bad signature on a networkstatus vote
Aug 23 05:45:11.507 [warn] Got a bad signature on a networkstatus vote
Aug 23 05:45:11.507 [warn] Got a bad signature on a networkstatus vote
Aug 23 05:45:11.508 [warn] Got a bad signature on a networkstatus vote
Aug 23 05:45:11.508 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 23 05:45:11.508 [warn] Not enough good signatures on networkstatus consensus
Aug 23 05:45:11.509 [warn] Unable to load consensus directory downloaded from server '217.172.187.72:443'. I'll try again soon.
Aug 23 05:52:19.395 [warn] Error decoding identity digest "tlInrOsoYoDr"
Aug 23 05:52:19.402 [warn] Got a bad signature on a networkstatus vote
Aug 23 05:52:19.402 [warn] Got a bad signature on a networkstatus vote
Aug 23 05:52:19.403 [warn] Got a bad signature on a networkstatus vote
Aug 23 05:52:19.403 [warn] Got a bad signature on a networkstatus vote
Aug 23 05:52:19.403 [warn] Got a bad signature on a networkstatus vote
Aug 23 05:52:19.403 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 23 05:52:19.403 [warn] Not enough good signatures on networkstatus consensus
Aug 23 05:52:19.404 [warn] Unable to load consensus directory downloaded from server '192.42.113.248:9001'. I'll try again soon.
Aug 23 06:22:50.260 [warn] Error decoding descriptor digest "xpHgECcLdOfJ/27pgDVc"
Aug 23 06:22:50.267 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:22:50.267 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:22:50.268 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:22:50.268 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:22:50.268 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:22:50.268 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 23 06:22:50.268 [warn] Not enough good signatures on networkstatus consensus
Aug 23 06:22:50.268 [warn] Unable to load consensus directory downloaded from server '91.208.34.1:443'. I'll try again soon.
Aug 23 06:44:10.664 [warn] Error decoding descriptor digest "xpHgECcLdOfJ/27pgDVc"
Aug 23 06:44:10.671 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:44:10.672 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:44:10.672 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:44:10.672 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:44:10.673 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:44:10.673 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 23 06:44:10.673 [warn] Not enough good signatures on networkstatus consensus
Aug 23 06:44:10.673 [warn] Unable to load consensus directory downloaded from server '62.141.58.13:443'. I'll try again soon.
Aug 23 06:45:23.223 [warn] Error decoding descriptor digest "xpHgECcLdOfJ/27pgDVc"
Aug 23 06:45:23.231 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:45:23.231 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:45:23.231 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:45:23.231 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:45:23.231 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:45:23.231 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 23 06:45:23.231 [warn] Not enough good signatures on networkstatus consensus
Aug 23 06:45:23.232 [warn] Unable to load consensus directory downloaded from server '72.214.15.27:9001'. I'll try again soon.
Aug 23 06:56:25.089 [warn] Error decoding descriptor digest "xpHgECcLdOfJ/27pgDVc"
Aug 23 06:56:25.105 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:56:25.106 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:56:25.106 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:56:25.106 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:56:25.121 [warn] Got a bad signature on a networkstatus vote
Aug 23 06:56:25.121 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 23 06:56:25.121 [warn] Not enough good signatures on networkstatus consensus
Aug 23 06:56:25.122 [warn] Unable to load consensus directory downloaded from server '128.117.43.34:9001'. I'll try again soon.
Aug 23 09:10:38.368 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:10:38.415 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:10:38.415 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:10:38.416 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:10:38.416 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:10:38.416 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 23 09:10:38.416 [warn] Not enough good signatures on networkstatus consensus
Aug 23 09:10:38.416 [warn] Unable to load consensus directory downloaded from server '216.218.252.88:443'. I'll try again soon.
Aug 23 09:12:37.464 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:12:37.464 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:12:37.465 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:12:37.465 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:12:37.465 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:12:37.465 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 23 09:12:37.465 [warn] Not enough good signatures on networkstatus consensus
Aug 23 09:12:37.465 [warn] Unable to load consensus directory downloaded from server '92.62.52.90:443'. I'll try again soon.
Aug 23 09:22:47.390 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:22:47.390 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:22:47.390 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:22:47.390 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:22:47.391 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:22:47.391 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 23 09:22:47.391 [warn] Not enough good signatures on networkstatus consensus
Aug 23 09:22:47.391 [warn] Unable to load consensus directory downloaded from server '129.241.93.106:9001'. I'll try again soon.
Aug 23 09:44:12.011 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:44:12.069 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:44:12.069 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:44:12.070 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:44:12.070 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:44:12.070 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 23 09:44:12.070 [warn] Not enough good signatures on networkstatus consensus
Aug 23 09:44:12.070 [warn] Unable to load consensus directory downloaded from server '128.238.35.14:9004'. I'll try again soon.
Aug 23 09:46:09.583 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:46:09.583 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:46:09.583 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:46:09.583 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:46:09.583 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:46:09.583 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 23 09:46:09.583 [warn] Not enough good signatures on networkstatus consensus
Aug 23 09:46:09.584 [warn] Unable to load consensus directory downloaded from server '92.243.8.139:21'. I'll try again soon.
Aug 23 09:56:19.879 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:56:19.895 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:56:19.896 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:56:19.896 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:56:19.896 [warn] Got a bad signature on a networkstatus vote
Aug 23 09:56:19.896 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 23 09:56:19.942 [warn] Not enough good signatures on networkstatus consensus
Aug 23 09:56:19.943 [warn] Unable to load consensus directory downloaded from server '81.169.183.122:9001'. I'll try again soon.
Aug 23 10:44:07.817 [warn] Error decoding identity digest "tQBp7IBuJZ2WcfELv"
Aug 23 10:44:07.895 [warn] Got a bad signature on a networkstatus vote
Aug 23 10:44:07.895 [warn] Got a bad signature on a networkstatus vote
Aug 23 10:44:07.895 [warn] Got a bad signature on a networkstatus vote
Aug 23 10:44:07.895 [warn] Got a bad signature on a networkstatus vote
Aug 23 10:44:07.896 [warn] Got a bad signature on a networkstatus vote
Aug 23 10:44:07.896 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 23 10:44:07.896 [warn] Not enough good signatures on networkstatus consensus
Aug 23 10:44:07.896 [warn] Unable to load consensus directory downloaded from server '216.146.46.30:9001'. I'll try again soon.
Aug 23 10:45:08.784 [warn] Error decoding identity digest "tQBp7IBuJZ2WcfELv"
Aug 23 10:45:08.792 [warn] Got a bad signature on a networkstatus vote
Aug 23 10:45:08.792 [warn] Got a bad signature on a networkstatus vote
Aug 23 10:45:08.792 [warn] Got a bad signature on a networkstatus vote
Aug 23 10:45:08.792 [warn] Got a bad signature on a networkstatus vote
Aug 23 10:45:08.792 [warn] Got a bad signature on a networkstatus vote
Aug 23 10:45:08.792 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 23 10:45:08.792 [warn] Not enough good signatures on networkstatus consensus
Aug 23 10:45:08.793 [warn] Unable to load consensus directory downloaded from server '204.8.156.142:443'. I'll try again soon.
Aug 23 10:55:17.210 [warn] Error decoding identity digest "tQBp7IBuJZ2WcfELv"
Aug 23 10:55:17.219 [warn] Got a bad signature on a networkstatus vote
Aug 23 10:55:17.222 [warn] Got a bad signature on a networkstatus vote
Aug 23 10:55:17.223 [warn] Got a bad signature on a networkstatus vote
Aug 23 10:55:17.223 [warn] Got a bad signature on a networkstatus vote
Aug 23 10:55:17.223 [warn] Got a bad signature on a networkstatus vote
Aug 23 10:55:17.223 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 23 10:55:17.223 [warn] Not enough good signatures on networkstatus consensus
Aug 23 10:55:17.224 [warn] Unable to load consensus directory downloaded from server '85.25.150.142:9001'. I'll try again soon.
Aug 24 00:38:48.432 [warn] parse error: Too few arguments to r
Aug 24 00:38:48.483 [warn] Error tokenizing router status
Aug 24 00:38:48.490 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:38:48.491 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:38:48.491 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:38:48.491 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:38:48.491 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:38:48.491 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 24 00:38:48.491 [warn] Not enough good signatures on networkstatus consensus
Aug 24 00:38:48.492 [warn] Unable to load consensus directory downloaded from server '80.219.249.102:9001'. I'll try again soon.
Aug 24 00:39:48.825 [warn] parse error: Too few arguments to r
Aug 24 00:39:48.825 [warn] Error tokenizing router status
Aug 24 00:39:48.858 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:39:48.858 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:39:48.858 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:39:48.859 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:39:48.859 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:39:48.859 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 24 00:39:48.859 [warn] Not enough good signatures on networkstatus consensus
Aug 24 00:39:48.859 [warn] Unable to load consensus directory downloaded from server '87.98.170.65:59001'. I'll try again soon.
Aug 24 00:43:52.830 [warn] parse error: Too few arguments to r
Aug 24 00:43:52.830 [warn] Error tokenizing router status
Aug 24 00:43:52.887 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:43:52.888 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:43:52.888 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:43:52.888 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:43:52.889 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:43:52.889 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 24 00:43:52.889 [warn] Not enough good signatures on networkstatus consensus
Aug 24 00:43:52.889 [warn] Unable to load consensus directory downloaded from server '129.241.93.106:9001'. I'll try again soon.
Aug 24 00:45:02.338 [warn] parse error: Too few arguments to r
Aug 24 00:45:02.338 [warn] Error tokenizing router status
Aug 24 00:45:02.346 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:45:02.346 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:45:02.346 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:45:02.347 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:45:02.347 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:45:02.347 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 24 00:45:02.347 [warn] Not enough good signatures on networkstatus consensus
Aug 24 00:45:02.347 [warn] Unable to load consensus directory downloaded from server '85.214.58.87:443'. I'll try again soon.
Aug 24 00:55:05.531 [warn] parse error: Too few arguments to r
Aug 24 00:55:05.531 [warn] Error tokenizing router status
Aug 24 00:55:05.539 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:55:05.539 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:55:05.539 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:55:05.539 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:55:05.539 [warn] Got a bad signature on a networkstatus vote
Aug 24 00:55:05.539 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 24 00:55:05.539 [warn] Not enough good signatures on networkstatus consensus
Aug 24 00:55:05.540 [warn] Unable to load consensus directory downloaded from server '84.75.176.68:443'. I'll try again soon.
Aug 24 01:20:05.824 [notice] Received reload signal (hup). Reloading config and resetting internal state.
Aug 24 01:20:05.877 [notice] Tor 0.2.1.19 opening new log file.
Aug 24 01:20:07.646 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:20:07.646 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:20:07.646 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:20:07.646 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:20:07.646 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:20:07.646 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 24 01:20:07.646 [warn] Not enough good signatures on networkstatus consensus
Aug 24 01:20:07.659 [warn] Unable to load consensus directory downloaded from server '91.208.34.1:443'. I'll try again soon.
Aug 24 01:21:29.933 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:21:29.933 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:21:29.933 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:21:29.933 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:21:29.933 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:21:29.933 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 24 01:21:29.933 [warn] Not enough good signatures on networkstatus consensus
Aug 24 01:21:29.934 [warn] Unable to load consensus directory downloaded from server '137.56.75.117:11375'. I'll try again soon.
Aug 24 01:31:40.199 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:31:40.199 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:31:40.199 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:31:40.199 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:31:40.199 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:31:40.200 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 24 01:31:40.200 [warn] Not enough good signatures on networkstatus consensus
Aug 24 01:31:40.200 [warn] Unable to load consensus directory downloaded from server '94.23.164.42:19111'. I'll try again soon.
Aug 24 01:44:21.747 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:44:21.748 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:44:21.748 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:44:21.748 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:44:21.748 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:44:21.748 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 24 01:44:21.748 [warn] Not enough good signatures on networkstatus consensus
Aug 24 01:44:21.749 [warn] Unable to load consensus directory downloaded from server '88.159.81.251:110'. I'll try again soon.
Aug 24 01:50:02.387 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:50:02.388 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:50:02.400 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:50:02.400 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:50:02.400 [warn] Got a bad signature on a networkstatus vote
Aug 24 01:50:02.400 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 24 01:50:02.400 [warn] Not enough good signatures on networkstatus consensus
Aug 24 01:50:02.401 [warn] Unable to load consensus directory downloaded from server '188.134.12.107:9001'. I'll try again soon.
Aug 24 05:24:30.248 [warn] Unknown exit policy summary type "n2ject 1-65535".
Aug 24 05:24:30.348 [warn] Got a bad signature on a networkstatus vote
Aug 24 05:24:30.348 [warn] Got a bad signature on a networkstatus vote
Aug 24 05:24:30.348 [warn] Got a bad signature on a networkstatus vote
Aug 24 05:24:30.349 [warn] Got a bad signature on a networkstatus vote
Aug 24 05:24:30.349 [warn] Got a bad signature on a networkstatus vote
Aug 24 05:24:30.349 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 24 05:24:30.349 [warn] Not enough good signatures on networkstatus consensus
Aug 24 05:24:30.350 [warn] Unable to load consensus directory downloaded from server '93.103.42.232:443'. I'll try again soon.
Aug 24 11:13:44.098 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:13:44.153 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:13:44.153 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:13:44.154 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:13:44.154 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:13:44.154 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 24 11:13:44.154 [warn] Not enough good signatures on networkstatus consensus
Aug 24 11:13:44.154 [warn] Unable to load consensus directory downloaded from server '87.106.208.182:443'. I'll try again soon.
Aug 24 11:19:20.699 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:19:20.699 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:19:20.699 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:19:20.699 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:19:20.700 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:19:20.700 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 24 11:19:20.700 [warn] Not enough good signatures on networkstatus consensus
Aug 24 11:19:20.706 [warn] Unable to load consensus directory downloaded from server '208.71.112.100:143'. I'll try again soon.
Aug 24 11:44:45.513 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:44:45.513 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:44:45.513 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:44:45.513 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:44:45.513 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:44:45.513 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 24 11:44:45.513 [warn] Not enough good signatures on networkstatus consensus
Aug 24 11:44:45.514 [warn] Unable to load consensus directory downloaded from server '192.42.113.248:9001'. I'll try again soon.
Aug 24 11:51:53.628 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:51:53.629 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:51:53.629 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:51:53.629 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:51:53.629 [warn] Got a bad signature on a networkstatus vote
Aug 24 11:51:53.629 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 1 no signature, 4 required
Aug 24 11:51:53.629 [warn] Not enough good signatures on networkstatus consensus
Aug 24 11:51:53.630 [warn] Unable to load consensus directory downloaded from server '87.106.79.175:443'. I'll try again soon.

comment:5 Changed 10 years ago by Sebastian

[rotor] Sebastian_: any new warning about corruption on fluxe3? 132045 bytes the length of current compressed consensus, it's should help to trigger 1009.
[Sebastian] rotor: sorry, nothing.
[rotor] wonder if it reproducable at all, at least after restart it disappeared with the same consensus.z as input, something during run-time changes to trigger it. mystic bug, sad bug.
[rotor] as idea, do preventive alignment of first alloc' memory block for uncompressed stuff.
[rotor] "*out = tor_malloc(out_size);" do tor_malloc_roundup() instead, but wonder if it works very well with banned malloc_usable_size()

comment:6 Changed 10 years ago by Sebastian

and again:

Sep 02 06:25:08.991 [notice] Tor 0.2.1.19 opening new log file.
Sep 02 10:16:19.697 [warn] Vote networkstatus entries not sorted by identity digest
Sep 02 10:16:19.699 [warn] Unable to parse networkstatus consensus
Sep 02 10:16:19.699 [warn] Unable to load consensus directory downloaded from server '194.109.206.212:80'. I'll try again soon.
Sep 02 10:17:21.194 [warn] Vote networkstatus entries not sorted by identity digest
Sep 02 10:17:21.196 [warn] Unable to parse networkstatus consensus
Sep 02 10:17:21.196 [warn] Unable to load consensus directory downloaded from server '86.59.21.38:80'. I'll try again soon.
Sep 02 10:27:40.992 [warn] Vote networkstatus entries not sorted by identity digest
Sep 02 10:27:40.994 [warn] Unable to parse networkstatus consensus
Sep 02 10:27:40.994 [warn] Unable to load consensus directory downloaded from server '80.190.246.100:80'. I'll try again soon.
Sep 02 10:58:02.070 [warn] Vote networkstatus entries not sorted by identity digest
Sep 02 10:58:02.071 [warn] Unable to parse networkstatus consensus
Sep 02 10:58:02.071 [warn] Unable to load consensus directory downloaded from server '128.31.0.34:9031'. I'll try again soon.
Sep 02 11:08:16.775 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:08:16.775 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:08:16.775 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:08:16.776 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:08:16.776 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:08:16.776 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 0 no signature, 4 required
Sep 02 11:08:16.776 [warn] Not enough good signatures on networkstatus consensus
Sep 02 11:08:16.778 [warn] Unable to load consensus directory downloaded from server '213.73.91.31:80'. I'll try again soon.
Sep 02 11:10:13.588 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:10:13.588 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:10:13.589 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:10:13.589 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:10:13.589 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:10:13.589 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 0 no signature, 4 required
Sep 02 11:10:13.589 [warn] Not enough good signatures on networkstatus consensus
Sep 02 11:10:13.591 [warn] Unable to load consensus directory downloaded from server '213.73.91.31:80'. I'll try again soon.
Sep 02 11:20:24.406 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:20:24.407 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:20:24.407 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:20:24.407 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:20:24.408 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:20:24.408 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 0 no signature, 4 required
Sep 02 11:20:24.408 [warn] Not enough good signatures on networkstatus consensus
Sep 02 11:20:24.410 [warn] Unable to load consensus directory downloaded from server '128.31.0.34:9031'. I'll try again soon.
Sep 02 11:50:56.569 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:50:56.570 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:50:56.570 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:50:56.571 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:50:56.571 [warn] Got a bad signature on a networkstatus vote
Sep 02 11:50:56.571 [warn] 1 unknown, 0 missing key, 0 good, 5 bad, 0 no signature, 4 required
Sep 02 11:50:56.571 [warn] Not enough good signatures on networkstatus consensus
Sep 02 11:50:56.573 [warn] Unable to load consensus directory downloaded from server '194.109.206.212:80'. I'll try again soon.
Sep 02 15:45:48.926 [warn] parse error: Malformed object: bad base64-encoded data
Sep 02 15:45:48.926 [warn] Error tokenizing router descriptor.
Sep 02 15:45:49.474 [warn] Error reading router descriptor: signature does not match.
Sep 02 22:09:07.366 [warn] couldn't find end of hashed material "
directory-signature"
Sep 02 22:09:07.366 [warn] Unable to compute digest of network-status
Sep 02 22:09:07.366 [warn] Unable to parse networkstatus consensus
Sep 02 22:09:07.366 [warn] Unable to load consensus directory downloaded from server '86.59.21.38:80'. I'll try again soon.
Sep 02 22:10:09.499 [warn] couldn't find end of hashed material "
directory-signature"
Sep 02 22:10:09.499 [warn] Unable to compute digest of network-status
Sep 02 22:10:09.499 [warn] Unable to parse networkstatus consensus
Sep 02 22:10:09.499 [warn] Unable to load consensus directory downloaded from server '80.190.246.100:80'. I'll try again soon.
Sep 02 22:20:18.987 [warn] couldn't find end of hashed material "
directory-signature"
Sep 02 22:20:18.987 [warn] Unable to compute digest of network-status
Sep 02 22:20:18.987 [warn] Unable to parse networkstatus consensus
Sep 02 22:20:18.987 [warn] Unable to load consensus directory downloaded from server '194.109.206.212:80'. I'll try again soon.
Sep 03 01:15:13.722 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:15:13.723 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:15:13.723 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:15:13.724 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:15:13.724 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:15:13.724 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:15:13.724 [warn] 1 unknown, 0 missing key, 0 good, 6 bad, 0 no signature, 4 required
Sep 03 01:15:13.724 [warn] Not enough good signatures on networkstatus consensus
Sep 03 01:15:13.726 [warn] Unable to load consensus directory downloaded from server '128.31.0.34:9031'. I'll try again soon.
Sep 03 01:16:14.681 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:16:14.681 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:16:14.682 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:16:14.682 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:16:14.682 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:16:14.683 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:16:14.683 [warn] 1 unknown, 0 missing key, 0 good, 6 bad, 0 no signature, 4 required
Sep 03 01:16:14.683 [warn] Not enough good signatures on networkstatus consensus
Sep 03 01:16:14.684 [warn] Unable to load consensus directory downloaded from server '216.224.124.114:9030'. I'll try again soon.
Sep 03 01:26:23.903 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:26:23.904 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:26:23.904 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:26:23.905 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:26:23.905 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:26:23.905 [warn] Got a bad signature on a networkstatus vote
Sep 03 01:26:23.906 [warn] 1 unknown, 0 missing key, 0 good, 6 bad, 0 no signature, 4 required
Sep 03 01:26:23.906 [warn] Not enough good signatures on networkstatus consensus
Sep 03 01:26:23.906 [warn] Unable to load consensus directory downloaded from server '213.73.91.31:80'. I'll try again soon.
Sep 03 06:25:08.502 [notice] Received reload signal (hup). Reloading config and resetting internal state.

comment:7 Changed 10 years ago by Sebastian

A few more things from rotor:

[rotor] "couldn't find end of hashed material " from 1009 can be explained too if firstly allocated memory for uncompressed stuff contained zeroes at the end of it.

He also has a patch that he suggests I run on fluxe3, which I will once I have the time to do it:

http://pastebin.com/d5937f447

comment:8 Changed 10 years ago by Sebastian

and it happened again, this time with the debug patch from rotor applied:

Sep 17 01:26:17.595 [warn] Bug 1009 detected after tor_realloc()
Sep 17 01:26:17.632 [warn] Unknown exit policy summary type "rejecVali,119,135-139,445,465,563,587,1214,4661-4666,6346-6429,6699,6881-6999".
Sep 17 01:26:17.649 [warn] Got a bad signature on a networkstatus vote
Sep 17 01:26:17.649 [warn] Got a bad signature on a networkstatus vote
Sep 17 01:26:17.650 [warn] Got a bad signature on a networkstatus vote
Sep 17 01:26:17.650 [warn] Got a bad signature on a networkstatus vote
Sep 17 01:26:17.650 [warn] Got a bad signature on a networkstatus vote
Sep 17 01:26:17.651 [warn] Got a bad signature on a networkstatus vote
Sep 17 01:26:17.651 [warn] Got a bad signature on a networkstatus vote
Sep 17 01:26:17.651 [warn] 0 unknown, 0 missing key, 0 good, 7 bad, 0 no signature, 4 required
Sep 17 01:26:17.651 [warn] Not enough good signatures on networkstatus consensus
Sep 17 01:26:17.653 [warn] Unable to load consensus directory downloaded from server '208.83.223.34:443'. I'll try again soon.
Sep 17 01:28:17.953 [warn] Bug 1009 detected after tor_realloc()
Sep 17 01:28:17.991 [warn] Unknown exit policy summary type "rejecVali,119,135-139,445,465,563,587,1214,4661-4666,6346-6429,6699,6881-6999".
Sep 17 01:28:18.008 [warn] Got a bad signature on a networkstatus vote
Sep 17 01:28:18.008 [warn] Got a bad signature on a networkstatus vote
Sep 17 01:28:18.009 [warn] Got a bad signature on a networkstatus vote
Sep 17 01:28:18.009 [warn] Got a bad signature on a networkstatus vote
Sep 17 01:28:18.009 [warn] Got a bad signature on a networkstatus vote
Sep 17 01:28:18.010 [warn] Got a bad signature on a networkstatus vote
Sep 17 01:28:18.010 [warn] Got a bad signature on a networkstatus vote
Sep 17 01:28:18.010 [warn] 0 unknown, 0 missing key, 0 good, 7 bad, 0 no signature, 4 required
Sep 17 01:28:18.010 [warn] Not enough good signatures on networkstatus consensus
Sep 17 01:28:18.012 [warn] Unable to load consensus directory downloaded from server '86.59.21.38:80'. I'll try again soon.

comment:9 Changed 10 years ago by Sebastian

The extra log messages come from this patch:

--- torgzip.c Fri Jun 19 06:13:52 2009
+++ torgzip.c.debug Thu Sep 3 17:14:12 2009
@@ -193,6 +193,7 @@

size_t out_size, old_size;
off_t offset;
int r;

+ char dstr[2];

tor_assert(out);
tor_assert(out_len);

@@ -227,6 +228,7 @@

goto err;


*out = tor_malloc(out_size);

+ dstr[0] = (*out)[out_size-2] = '\0'; /* enough for debugging if string */

stream->next_out = (unsigned char*)*out;
stream->avail_out = (unsigned int)out_size;


@@ -266,7 +268,14 @@

log_warn(LD_GENERAL, "Size overflow in compression.");
goto err;

}

+ if ((*out)[old_size-2] == dstr[0])
+ log_warn(LD_GENERAL, "Bug 1009 detected after Z_BUF_ERROR");
+ dstr[0]=(*out)[old_size-2];
+ dstr[1]=(*out)[old_size-1];

*out = tor_realloc(*out, out_size);

+ /* compare two bytes for more chances */

+ if ((*out)[old_size-2] != dstr[0]
(*out)[old_size-1] != dstr[1])

+ log_warn(LD_GENERAL, "Bug 1009 detected after tor_realloc()");

stream->next_out = (unsigned char*)(*out + offset);
if (out_size - offset > UINT_MAX) {

log_warn(LD_BUG, "Ran over unsigned int limit of zlib while "

comment:10 Changed 10 years ago by Sebastian

jn, who reported the same bug in #tor, is running Debian Lenny (same as fluxe3).
I wonder if this means something in zlib is to blame, even though the log suggests
it should be some strangeness around the tor_realloc call. Ideas?

comment:12 Changed 10 years ago by Sebastian

That would appear to be exactly the bug I'm experiencing, yet I'm on
Debian Lenny, which is listed as immune in the bugreport, and the sample
test program that is attached doesn't reproduce the problem for me...

comment:13 Changed 10 years ago by Sebastian

While digging more, I found http://sources.redhat.com/bugzilla/show_bug.cgi?id=5743
which describes the bug, and http://sources.redhat.com/bugzilla/show_bug.cgi?id=2684
which seems to introduce it.

If anyone has an idea for a test program that could reproduce the bug on Debian Lenny,
I'd be happy to try. The program at
http://sources.redhat.com/bugzilla/attachment.cgi?id=3858&action=view fails to
reproduce the problem for me.

comment:14 Changed 10 years ago by Sebastian

And while looking at the current malloc.c sources, I found that they later
applied a variant of the patch marked as invalid in
http://sources.redhat.com/bugzilla/show_bug.cgi?id=5743
in this patch:
http://repo.or.cz/w/glibc.git?a=commitdiff;h=486bdb886330a250af76cbb12af55d2c67ec0981

Now I only have to learn how to reproduce the bug reliably, and how to patch
my glibc on Debian to verify that this is the issue.

comment:15 Changed 10 years ago by Sebastian

Well, Debian won't update their glibc until Squeeze, which contains the fix.

comment:16 Changed 10 years ago by OTU

Wonder why bug is still open, or you want fixes every bugged libc in the world?
Workaround for linux's memory stuff is present in source for year. Use it.

After all if diagnose reason of bug is correct even, it still need more realistic numbers.
like http://paste.debian.net/46995/ as idea.

comment:17 Changed 10 years ago by Sebastian

I'm leaving this open for now because we might get some info from Christian Sturm
about what OS he's running.

Your test program doesn't trigger the issue for me, btw.

comment:18 Changed 10 years ago by OTU

ok, if it happens around "Try harder to allocate memory in other arenas."
then a bug was not about thread issues.
Thread's test to trigger that -2*SIZE bug just by chance, that's all.
Original test do not trigger for x86 just because X,
change all of those 10000024 to 10000026

comment:19 Changed 10 years ago by karsten

On September 13, gabelmoo ran into a similar problem:

Sep 09 09:19:30.235 [notice] Tor 0.2.2.1-alpha-dev (git-3de5ac9baa7dc12f)

opening log file.

[...]
Sep 13 15:05:19.801 [info] dirserv_add_descriptor(): Added descriptor from

'HubicPairs' (source: 92.4.142.236): Valid server updated.

Sep 13 15:05:19.812 [warn] Error reading extra-info: signature does not

match.

Sep 13 15:05:19.821 [info] dump_desc(): Unable to parse descriptor of type

extra-info descriptor. See file unparseable-desc in data directory for
details.

Content of unparseable-desc (not reformatted):

Unable to parse descriptor of type extra-info descriptor:
extra-info HubicPairs 0CFC942A169F0750BE49189791475BAA8C87521F
published 2009-09-13 13:04:31
write-history 2009-09-13 12:54:12 (900 s) 9085952,9532416,7398400,15290368,13851648,10761216,10750976,10465280,10812416,11389952,9417728,11324416,10015744,8558592,11486208,9 169F 0750 BE49 1897 9147 5BAA 810488832,8080384,11672576,7728128,8838144,7433216,9137152,6792192,7962624,12701696,8414208,7416832,9044992,8682496,8165376,5456896,6268928,7969792,8097792,9747456,7545856,6276096,6398976,7327744,5967872,11807744,5094400,7251968,6785024,7277568,6598656,6764544,7629824,6376448,5146624,6218752,6558720,6029312,7329792,6300672,6975488,8187904,5585920,5697536,5913600,5692416,7625728,5341184,5442560,7697408,10652672,7663616,7040000,13478912,9012224,8759296,12635136,7417856,9612288,7331840,10231808,9029632,8350720,9784320,9984000,12460032,8254464,9364480,9426944,7974912,8536064,8196096,8005632,9394176,8565760,9787392,10122240
read-history 2009-09-13 12:54:12 (900 s) 2524160,3593216,1850368,8998912,8235008,2919424,3244032,3355648,4314112,4388864,2576384,3986432,3122176,1810432,4151296,1507328,5022720,2272256,1558528,2521088,2333696,6060032,1559552,2787328,2515968,3477504,2280448,1196032,7949312,2828288,1543168,1983488,4006912,2396160,1344512,1154048,2611200,3311616,4813824,2848768,1808384,3649536,2923520,2502656,6463488,1638400,2208768,1765376,1132544,2794496,2254848,2940928,1660928,2127872,1780736,1971200,1470464,4194304,1788928,1306624,2297856,2872320,2088960,876544,1681408,5146624,1626112,879616,1999872,4413440,1732608,1517568,6461440,3483648,2544640,3206144,1373184,4000768,1448960,2105344,2971648,2634752,2371584,2273280,5365760,2965504,3788800,3493888,2882560,3031040,2383872,1682432,2314240,3034112,2975744,3187712
router-signature


qas/lJLeIUcVeb8G6jpJe3An1TWmsGL8D3MC4q2Pc9xcPe4QD0LlwoWBeW7MpTOq
AjCcC4nyfVVCP23nAdtbUkKAlEZvgSdtP6wZEvurSSJja2nIDGodjikV3wckmKPD
URrZuLvBl0pvSRCqK8yK02u+2d4ouYMxpkCo6Sh3MUY=


As one can see, the write-history line was corrupted by writing a portion
of the extra-info identifier into it.

The question is whether corruption took place on gabelmoo (or during
uploading), or on HubicPairs. I think that the latter is the case, and that
HubicPairs realized that something went wrong and uploaded a new set of
router and extra-info descriptor subsequently, because of three reasons:

  1. The extra-info descriptor 0CFC942A169F0750BE49189791475BAA8C87521F does

NOT exist in either mine or weasel's directory archive. That means it was
never referenced from a consensus and a router descriptor when the
directory-archive script was executed.

  1. The directory archives are referencing another extra-info descriptor for

HubicPairs at the given time. That relay has been running continuously on
September 13:

2009-09-13-10:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

FkKFvKjj2Hvq3yx66S0yG+uI2Ao 2009-09-13 06:30:54 92.0.235.152 443 9030

2009-09-13-11:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

FkKFvKjj2Hvq3yx66S0yG+uI2Ao 2009-09-13 06:30:54 92.0.235.152 443 9030

2009-09-13-12:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

FkKFvKjj2Hvq3yx66S0yG+uI2Ao 2009-09-13 06:30:54 92.0.235.152 443 9030

2009-09-13-13:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

FkKFvKjj2Hvq3yx66S0yG+uI2Ao 2009-09-13 06:30:54 92.0.235.152 443 9030

2009-09-13-14:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-13-15:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-13-16:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-13-17:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-13-18:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-13-19:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-13-20:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-13-21:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-13-22:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-13-23:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-14-00:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-14-01:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-14-02:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-14-03:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-14-04:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-14-05:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-14-06:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-14-07:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

70NEGkj5VYYnWBCLOx4opcTRDmM 2009-09-13 13:07:25 92.4.142.236 443 9030

2009-09-14-08:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

Z3gpZzru4qOT5hBiKC2bwKTw6dE 2009-09-14 07:08:24 92.4.142.236 443 9030

2009-09-14-09:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

Z3gpZzru4qOT5hBiKC2bwKTw6dE 2009-09-14 07:08:24 92.4.142.236 443 9030

2009-09-14-10:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

Z3gpZzru4qOT5hBiKC2bwKTw6dE 2009-09-14 07:08:24 92.4.142.236 443 9030

2009-09-14-11:00:00-consensus:r HubicPairs DPyUKhafB1C+SRiXkUdbqoyHUh8

Z3gpZzru4qOT5hBiKC2bwKTw6dE 2009-09-14 07:08:24 92.4.142.236 443 9030

The router descriptors FkKFvKjj2Hvq3yx66S0yG+uI2Ao (164285bc..),
70NEGkj5VYYnWBCLOx4opcTRDmM (ef43441a..), and Z3gpZzru4qOT5hBiKC2bwKTw6dE
(67782967..) that are referenced from the consensuses all reference
different extra-info descriptors, but not the unparseable one:

164285bca8e3d87beadf2c7ae92d321beb88d80a:opt extra-info-digest

5756170C78B9FA9518988C9155E1DFBCB1318FEF

677829673aeee2a393e61062282d9bc0a4f0e9d1:opt extra-info-digest

20126166DBFA84AEF5C69E3E157732AA2C7588F1

ef43441a48f955862758108b3b1e28a5c4d10e63:opt extra-info-digest

45F99A4296D3336C281791E502E3D49C06BE0933

  1. The router descriptor that was used at the given time was published at

2009-09-13 13:07:25, a few minutes after the unparseable extra-info
descriptor (2009-09-13 13:04:31); corresponding router descriptors and
extra-info descriptors always have the same timestamp:

ef43441a48f955862758108b3b1e28a5c4d10e63:published 2009-09-13 13:07:25

This indicates that the relay has failed to upload its extra-info
descriptor anywhere and has produced a new set of router and extra-info
descriptor subsequently.

So, the question is why that relay has corrupted its extra-info descriptor.
The hypothesis that this is a Linux-specific problem might be wrong here.
All descriptors show that the router is running on Windows XP:

164285bca8e3d87beadf2c7ae92d321beb88d80a:platform Tor 0.2.0.34 (r18423) on

Windows XP Service Pack 3 [workstation] {personal} {terminal services,
single user}

677829673aeee2a393e61062282d9bc0a4f0e9d1:platform Tor 0.2.0.34 (r18423) on

Windows XP Service Pack 3 [workstation] {personal} {terminal services,
single user}

ef43441a48f955862758108b3b1e28a5c4d10e63:platform Tor 0.2.0.34 (r18423) on

Windows XP Service Pack 3 [workstation] {personal} {terminal services,
single user}

comment:20 Changed 10 years ago by stars

ello,

i have a new bug on Tor v0.2.2.3-alpha-dev (git-52fa4f6428388be3). (Running on Linux x86_64) Kubuntu 9.10 Karmic 2.6.31-10-generic
libc6 version 2.10.10.0ubuntu12 (amd64)

sept. 23 19:20:49.439 [Notice] Self-testing indicates your ORPort is reachable from the outside. Excellent. Publishing server descriptor.
sept. 23 19:20:49.818 [Notice] Self-testing indicates your DirPort is reachable from the outside. Excellent.
sept. 23 19:20:50.662 [Warning] Gzip decompression returned an error: invalid distance too far back
sept. 23 19:20:58.805 [Notice] Performing bandwidth self-test...done.

i have add a bit more from log, so you can see when it was signaled. In fact right after started it.

comment:21 Changed 10 years ago by dragonfly

Got similar error message like the TO.
Node running on Debian Lenny with Tor 0.2.2.3-alpha-dev.

Oct 05 15:23:58.774 [warn] Got a bad signature on a networkstatus vote
Oct 05 15:23:58.774 [warn] Got a bad signature on a networkstatus vote
Oct 05 15:23:58.774 [warn] Got a bad signature on a networkstatus vote
Oct 05 15:23:58.774 [warn] Got a bad signature on a networkstatus vote
Oct 05 15:23:58.774 [warn] Got a bad signature on a networkstatus vote
Oct 05 15:23:58.774 [warn] Got a bad signature on a networkstatus vote
Oct 05 15:23:58.774 [warn] 0 unknown, 0 missing key, 0 good, 6 bad, 1 no signature, 4 required
Oct 05 15:23:58.774 [warn] Not enough good signatures on networkstatus consensus
Oct 05 15:23:58.775 [warn] Unable to load consensus directory downloaded from server '208.83.223.34:443'. I'll try again soon.
Oct 05 15:25:58.463 [warn] Got a bad signature on a networkstatus vote
Oct 05 15:25:58.463 [warn] Got a bad signature on a networkstatus vote
Oct 05 15:25:58.463 [warn] Got a bad signature on a networkstatus vote
Oct 05 15:25:58.463 [warn] Got a bad signature on a networkstatus vote
Oct 05 15:25:58.464 [warn] Got a bad signature on a networkstatus vote
Oct 05 15:25:58.464 [warn] Got a bad signature on a networkstatus vote
Oct 05 15:25:58.464 [warn] 0 unknown, 0 missing key, 0 good, 6 bad, 1 no signature, 4 required
Oct 05 15:25:58.464 [warn] Not enough good signatures on networkstatus consensus
Oct 05 15:25:58.464 [warn] Unable to load consensus directory downloaded from server '86.59.21.38:80'. I'll try again soon.
Oct 05 15:36:08.415 [warn] Received http status code 404 ("Not found") from server '213.73.91.31:80' while fetching consensus directory.
Oct 05 16:19:52.654 [warn] Error decoding descriptor digest "bFxXVBBhh8qkkBBL6Xx"
Oct 05 16:19:52.662 [warn] Got a bad signature on a networkstatus vote
Oct 05 16:19:52.662 [warn] Got a bad signature on a networkstatus vote
Oct 05 16:19:52.662 [warn] Got a bad signature on a networkstatus vote
Oct 05 16:19:52.662 [warn] Got a bad signature on a networkstatus vote
Oct 05 16:19:52.662 [warn] Got a bad signature on a networkstatus vote
Oct 05 16:19:52.662 [warn] Got a bad signature on a networkstatus vote
Oct 05 16:19:52.662 [warn] 0 unknown, 0 missing key, 0 good, 6 bad, 1 no signature, 4 required
Oct 05 16:19:52.662 [warn] Not enough good signatures on networkstatus consensus
Oct 05 16:19:52.663 [warn] Unable to load consensus directory downloaded from server '194.109.206.212:80'. I'll try again soon.

comment:22 Changed 10 years ago by Sebastian

Bug is now being tracked by Debian, apparently, a fix for stable is not impossible:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550625

comment:23 Changed 10 years ago by Sebastian

Debian will release a fixed libc6 for stable. Once that has happened, we should try to learn if any of the issues described above happen on a patched system

comment:24 Changed 10 years ago by karsten

gabelmoo ran into another unparseable extra-info descriptor on October 20,
and apparently it was published by the same relay HubicPairs (not
reformatted):

Unable to parse descriptor of type extra-info descriptor:
extra-info HubicPairs 0CFC942A169F0750BE49189791475BAA8C87521F
published 2009-10-20 09:57:08
write-history 2009-10-20 09:54:12 (900 s) 8657920,11057152,8012800,7714816,6066176,27568128,34585600,30867456,14325760,16527360,10029056,15505408,13515776,19396608,15305728,30369792,26457088,16517120,10287104,15357952,13808640,20795392,10285056,10791936,19935232,12708864,13302784,14430208,15474688,13796352,12542976,14087168,11314176,10521600,38052864,37982208,26398720,17595392,10867712,10779648,8554496,10443776,8225792,11481088,12568576,10332160,17455104,9066496,8531968,8325120,7040000,7156736,6872064,10316800,8464384,14279680,8920064,9713664,5381120,10249216,8020992,9174016,7547904,8169472,7007232,14531584,11921408,7914496,13434880,20826112,24717312,10945536,9649152,6190080,9688064,6458368,12662784,9704448,7831552,13211648,6890496,10620928,10890240,12157952,11083776,16773120,8699904,701440,1552384,4090880,1926144,1316864,153600,7168,993280,12288
read-history 2009-10-20 09:54:12 (900 s) 3338240,5986304,4823040,2836480,2661376,22691840,28990464,24087552,9436160,11485184,5262336,8221696,6131712,12764160,9706496,22047744,21256192,11338752,5703680,7026688,8779776,16908288,5202944,3632128GIN SIGNATURE-----
nYOsgymvQJ1Fs2,8539136,7392256,5569536,6072320,4433920,4648960,33291264,31281152,19988480,9394176,4444160,4510720,3770368,5902336,3587072,8109056,6786048,4606976,11214848,3883008,4228096,3419136,2893824,2289664,2448384,3760128,2721792,8720384,2172928,3531776,777216,5850112,2783232,4051968,2332672,3571712,3120128,9690112,7653376,4071424,8914944,15289344,18973696,6423552,5539840,2592768,5352448,2680832,6195200,4966400,2519040,7908352,2601984,6215680,5524480,7193600,5910528,9668608,3742720,1376256,1391616,3781632,1718272,1870848,144384,8192,1004544,660480
router-signature


LpVy1biAUdz6DJZcCJbHlFTFnWnPjCrXttKbemeWWpSNdOJnlWlKrq59gcuGsQeD
yBEYoVErTDa42vSzlv2wJL9kEvYlZ23yxVjd/kmljiy+kS4qk9OO4/UoizzwEUa3
h+VYSGylHBIGDt8u25b12Zi7UdyL9uN7zFH+a3yPAz8=


It seems that there are 32 bytes that have been corrupted in this
descriptor (without quotes):

"GIN SIGNATURE-----
nYOsgymvQJ1Fs"

Again, there is no extra-info descriptor from 09:57:08 in the directory
archive. The extra-info descriptors from HubicPairs published at that time
were published at:

published 2009-10-20 06:47:57
published 2009-10-20 09:59:05

Trying to contact the relay operator for more information that might help
solve this problem.

comment:25 Changed 10 years ago by karsten

See also task 1051 for more information on this bug.

comment:26 Changed 10 years ago by Athaba

I'm using Debian Lenny and the experimental-lenny versions from http://deb.torproject.org/torproject.org

comment:27 Changed 10 years ago by karsten

It seems that the unparseable descriptors as seen by gabelmoo are
affiliated to some hardware problem. I'm seeing similar problems with the
output of torperf runs:

1256308801 689025 1256308801 689037 1256308801 689159 1256308801 689227

1256308801 689267 1256308802 943339 1256308802 943360 1256308804 969846
1256308809 926561 67 51553

1256309101 934075 1256309101 934086 1256309101 934157 1256309101 934250

1256309101 934260 125630911256319901 353121 1256319901 353133 1256319901
353199 1256319901 353299 1256319901 353310 1256319914 23659 1256319914
23684 1256319916 75871 1256319916 613129 67 51553

1256320201 618964 1256320201 618973 1256320201 619129 1256320201 619190

1256320201 619434 1256320202 594435 1256320202 594455 1256320203 593321
1256320206 701181 67 51553

In the second line, the "125630911256319901" is the result of one line
being cut off at "12563091??" and the next line starting with "1256319901".

I'm asking my service provider to fix this.

Anyway, this means that the problems of unparseable descriptors on
gabelmoo as described above are unrelated to this bug.

comment:28 Changed 9 years ago by Sebastian

flyspray2trac: bug closed.
This appears to not be a Tor bug. We should only reopen this if it can still happen with a sane glibc.

comment:29 Changed 7 years ago by nickm

Component: Tor ClientTor
Note: See TracTickets for help on using tickets.